Bug 215073 - Introduce pin watch
Introduce pin watch
Status: RESOLVED FIXED
Product: debugger
Classification: Unclassified
Component: Code
7.2
All All
: P2 with 1 vote (vote)
: 8.2
Assigned To: Martin Entlicher
issues@debugger
cndreq
: PLAN
Depends on: 228015 258651 258764 262311
Blocks: 258919
  Show dependency treegraph
 
Reported: 2012-07-02 13:35 UTC by Egor Ushakov
Modified: 2016-06-02 14:16 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2012-07-02 13:35:05 UTC
In MSVS this is a very useful feature.
It allows to pin a watch to the source editor.

See small description here (tip 3)
http://www.developerfusion.com/article/84618/new-visual-studio-2010-features/

In general when you pin a watch to the source editor it stays there (pair name|value) and scrolls together with sources. It allows to quickly observe required variable values while debugging.
Comment 1 Leonid Lenyashin 2013-01-18 14:28:31 UTC
http://www.youtube.com/watch?v=NTYNOIpKbG8
Comment 2 Martin Entlicher 2013-05-05 18:42:09 UTC
Unfortunately, it will not make it into 7.4.
Comment 3 DimaZh 2015-05-20 15:47:57 UTC
Martin,
this feature we would like to see implemented in the upcoming release. Be based on our experience and feedback from users, we think it will be useful and desired feature both from NetBeans and Studio prospective. Is there any chance that it can get into 8.1?
Comment 4 Martin Balin 2016-01-27 07:48:47 UTC
NetBeans should provide the ability to export and import the set of pinnable watches so these could be used by different developers for same project.
Comment 5 Martin Entlicher 2016-04-18 23:19:25 UTC
Pin watches are there, the debugger_pin_watch branch is merged into trunk:
http://hg.netbeans.org/jet-main/rev/407d58493c75
Comment 6 Quality Engineering 2016-04-20 01:49:05 UTC
Integrated into 'main-silver', will be available in build *201604200001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/d3cea9b5eb71
User: mentlicher@netbeans.org
Log: #215073: Pin watches added into node.js debugger.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo